Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.reasoning.impl
Class RuleSetFlow<F>

    java.lang.Object
      com.hammurapi.flow.runtime.impl.FlowBase<N,T,P,K,S,A>
          com.hammurapi.flow.runtime.impl.TaskCountingFlowBase<ReasoningNodeBase<F>,Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>,List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>
              com.hammurapi.reasoning.impl.RuleSetFlow<F>

All Implemented Interfaces:
  Component<Flow>, Flow<ReasoningNodeBase<F>,Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>,List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>, FlowElement, Node<List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>, TaskCounter

    public class RuleSetFlow<F>

extends TaskCountingFlowBase<ReasoningNodeBase<F>,Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>,List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>

Flow which implements rule set.

Author:
  Pavel Vlasov

Field Summary

Fields inherited from class com.hammurapi.flow.runtime.impl.FlowBase
`nodes, transitions`

Constructor Summary
`RuleSetFlow()`

Method Summary
`void` | `addPin(String pinName, List<?> pinConfig)`
`void` | `checkCollectedExceptions()`
`protected Object` | `convertResult(Object proxy, Method method, Object[] args, Collection<Future<?>> invocationResult)`
`String` | `getDescription()`
`Executor` | `getExecutor()`
`protected Invocable<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>` | `getInternalInvocable(String pinName, Integer connectKey)`
`protected Invoker<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>` | `getInternalInvoker(String pinName, Integer connectKey)`
`Invocable<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>` | `getInvocable(String pinName, Integer connectKey)`
`Invoker<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>` | `getInvoker(String pinName, Integer connectKey)`
`KnowledgeBase<F>` | `getKnowledgeBase()`
`String` | `getName()`
`PropertySetFactory` | `getPropertySetFactory()`
`ScheduledExecutorService` | `getScheduler()`
`void` | `init(ConfigurationContext<Flow> context)`
`void` | `setBackEnd(Object object)`
`void` | `setDescription(String description)`
`void` | `setExecutor(Executor executor)`
`void` | `setKnowledgeBase(KnowledgeBase<F> knowledgeBase)`
`void` | `setName(String name)`
`void` | `setNodes(List<ReasoningNodeBase<F>> nodes)`
`void` | `setPropertySetFactory(PropertySetFactory propertySetFactory)`
`void` | `setRules(List<?> rules)`
`void` | `setScheduler(ScheduledExecutorService scheduler)`
`void` | `setTransitions(List<Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>> transitions)`

Methods inherited from class com.hammurapi.flow.runtime.impl.TaskCountingFlowBase
`join, onTaskCreated, onTaskFinished`

Methods inherited from class com.hammurapi.flow.runtime.impl.FlowBase
`afterConnect, beforeConnect, connect, createFlowState, getFacade, getSynapseConfig, getSynapseFactory, setFacadeInterface, setSynapseFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleSetFlow

    public RuleSetFlow()

Method Detail

### checkCollectedExceptions

    public void checkCollectedExceptions()
                                  throws RuleExecutionException

  Throws:
    `RuleExecutionException`

### getKnowledgeBase

    public KnowledgeBase<F> getKnowledgeBase()

### setKnowledgeBase

    public void setKnowledgeBase(KnowledgeBase<F> knowledgeBase)

### setExecutor

    public void setExecutor(Executor executor)

### getExecutor

    public Executor getExecutor()

### setPropertySetFactory

    public void setPropertySetFactory(PropertySetFactory propertySetFactory)

### getPropertySetFactory

    public PropertySetFactory getPropertySetFactory()

### setScheduler

    public void setScheduler(ScheduledExecutorService scheduler)

### getScheduler

    public ScheduledExecutorService getScheduler()

### init

    public void init(ConfigurationContext<Flow> context)
              throws ConfigurationException

  Specified by:
    `init` in interface `Component<Flow>`
  Overrides:
    `init` in class `FlowBase<ReasoningNodeBase<F>,Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>,List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>`
  Throws:
    `ConfigurationException`

### setRules

    public void setRules(List<?> rules)
                  throws ConfigurationException

  Throws:
    `ConfigurationException`

### setTransitions

    public void setTransitions(List<Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>> transitions)
                        throws ConfigurationException

  Specified by:
    `setTransitions` in interface `Flow<ReasoningNodeBase<F>,Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>,List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>`
  Overrides:
    `setTransitions` in class `FlowBase<ReasoningNodeBase<F>,Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>,List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>`
  Throws:
    `ConfigurationException`

### setNodes

    public void setNodes(List<ReasoningNodeBase<F>> nodes)
                  throws ConfigurationException

  Specified by:
    `setNodes` in interface `Flow<ReasoningNodeBase<F>,Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>,List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>`
  Overrides:
    `setNodes` in class `FlowBase<ReasoningNodeBase<F>,Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>,List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>`
  Throws:
    `ConfigurationException`

### getInternalInvocable

    protected Invocable<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>> getInternalInvocable(String pinName,
                                                                                                              Integer connectKey)

  Specified by:
    `getInternalInvocable` in class `FlowBase<ReasoningNodeBase<F>,Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>,List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>`

### getInternalInvoker

    protected Invoker<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>> getInternalInvoker(String pinName,
                                                                                                          Integer connectKey)

  Specified by:
    `getInternalInvoker` in class `FlowBase<ReasoningNodeBase<F>,Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>,List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>`

### setBackEnd

    public void setBackEnd(Object object)

### getInvocable

    public Invocable<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>> getInvocable(String pinName,
                                                                                                   Integer connectKey)
                                                                                            throws ConfigurationException

  Throws:
    `ConfigurationException`

### getInvoker

    public Invoker<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>> getInvoker(String pinName,
                                                                                               Integer connectKey)
                                                                                        throws ConfigurationException

  Throws:
    `ConfigurationException`

### convertResult

    protected Object convertResult(Object proxy,
                                   Method method,
                                   Object[] args,
                                   Collection<Future<?>> invocationResult)
                            throws Exception

  Overrides:
    `convertResult` in class `FlowBase<ReasoningNodeBase<F>,Transition<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>,List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>`
  Throws:
    `Exception`

### addPin

    public void addPin(String pinName,
                       List<?> pinConfig)

### getDescription

    public String getDescription()

### getName

    public String getName()

### setName

    public void setName(String name)

### setDescription

    public void setDescription(String description)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD